FUNCTION::TZ_CTIME(3stap)

NAME
function::tz_ctime - Convert seconds since epoch into human readable date/time string, with local time zone

SYNOPSIS

    tz_ctime(epochsecs:)

ARGUMENTS

epochsecs
    number of seconds since epoch (as returned by gettimeofday_s)

DESCRIPTION

Takes an argument of seconds since the epoch as returned by gettimeofday_s. Returns a string of the same form as ctime, but offsets the epoch time for the local time zone, and appends the name of the local time zone. The string length may vary. The time zone information is passed by staprun at script startup only.

SEE ALSO
tapset::tzinfo(3stap)